> ## Documentation Index
> Fetch the complete documentation index at: https://pindocs.jackalprotocol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a file

> Upload a file



## OpenAPI

````yaml post /files
openapi: 3.0.1
info:
  title: Jackal Pin API
  description: >-
    This is the API reference for Jackal Pin, an IPFS pinning service running on
    top of the Jackal Protocol, hosted by Jackal Labs.
  license:
    name: Apache 2.0
  version: 1.0.0
servers:
  - url: https://pinapi.jackalprotocol.com/api
security:
  - bearerAuth: []
paths:
  /files:
    post:
      description: Upload a file
      requestBody:
        content:
          multipart/form:
            schema:
              required:
                - file
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: Successful operation
        '401':
          description: Unauthorized User
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````